[arch-commits] Commit in lyx/trunk (PKGBUILD lyx.desktop)

Ronald van Haren ronald at archlinux.org
Wed Oct 22 16:33:12 EDT 2008


    Date: Wednesday, October 22, 2008 @ 16:33:11
  Author: ronald
Revision: 16872

upgpkg: lyx 1.5.6-1

Added:
  lyx/trunk/lyx.desktop
Modified:
  lyx/trunk/PKGBUILD

-------------+
 PKGBUILD    |   24 ++++++++++++++++--------
 lyx.desktop |    9 +++++++++
 2 files changed, 25 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-22 18:44:57 UTC (rev 16871)
+++ PKGBUILD	2008-10-22 20:33:11 UTC (rev 16872)
@@ -1,20 +1,28 @@
 # $Id$
-# Maintainer: Jason Chu <jason at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
 pkgname=lyx
-pkgver=1.5.5
+pkgver=1.5.6
 pkgrel=1
 pkgdesc="An advanced open-source document processor."
 arch=(i686 x86_64)
 url='http://www.lyx.org'
-depends=('qt' 'tetex' 'python' 'perl' 'imagemagick' 'aspell' 'aiksaurus')
-license=('GPL2')
-source=(ftp://ftp.lyx.org/pub/lyx/stable/$pkgname-$pkgver.tar.gz)
-md5sums=('75317d358f68b65e2dd954b7e28ca6d9')
+depends=('qt' 'texlive-core' 'python' 'perl' 'imagemagick' 'aspell' 'aiksaurus')
+license=('GPL')
+source=(ftp://ftp.lyx.org/pub/lyx/stable/$pkgname-$pkgver.tar.gz \
+	lyx.desktop)
+md5sums=('da10641ee8654bb9943b52bcba93a777'
+         'c94bf402ad980b54bb1c3164b146ee49')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
+
   ./configure --prefix=/usr \
     --with-frontend=qt4
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
+
+  # install desktop entry
+  install -Dm644 $srcdir/lyx.desktop \
+	$pkgdir/usr/share/applications/lyx.desktop || return 1
 }

Added: lyx.desktop
===================================================================
--- lyx.desktop	                        (rev 0)
+++ lyx.desktop	2008-10-22 20:33:11 UTC (rev 16872)
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Lyx
+Comment=Latex WYSIWYM Editor
+Icon=/usr/share/lyx/images/lyx.xpm
+Exec=lyx
+Terminal=false
+Type=Application
+StartupNotify=false
+Categories=Office;




More information about the arch-commits mailing list